#
# spec file for package python-pivy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-pivy
Version:        0.6.2
Release:        lp151.3.4
Summary:        Coin Binding for Python
License:        ISC and GPL-2.0+
Group:          Development/Libraries/Python
Url:            https://github.com/FreeCAD/pivy
Source0:        Pivy-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  Coin-devel
BuildRequires:  SoQt-devel
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  libXmu-devel
BuildRequires:  python-rpm-macros
BuildRequires:  swig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
with a C++ Application Programming Interface. Coin uses scene-graph data
structures to render real-time graphics suitable for mostly all kinds of
scientific and engineering visualization applications.

Pivy allows:

- Development of Coin applications and extensions in Python
- Interactive modification of Coin programs from within the Python interpreter
  at runtime
- Incorporation of Scripting Nodes into the scene graph which are capable of
  executing Python code and callbacks

%prep
%setup -q -n pivy-%{version}

%build
export CFLAGS="%{optflags}"
%{python_build ; rm pivy/coin_wrap.cpp pivy/gui/soqt_wrap.cpp }

%install
%python_install

%fdupes %{buildroot}%{python_sitelib}/pivy/

%files %python_files
%defattr(-,root,root,-)
%doc AUTHORS HACKING LICENSE NEWS README.md THANKS
%{python_sitelib}/pivy/
%{python_sitelib}/Pivy-%{version}-py%{py_ver}.egg-info

%changelog
* Wed Jan  3 2018 dev@stellardeath.org
- Fix build failure when using more than one python version:
  swig wrapper files were only generated the first time and
  and then kept for subsequent builds.
* Sat Dec 16 2017 badshah400@gmail.com
- Convert specfile to python-singlespec: fixes build failures in
  Factory. Doesn't build against python2 for unknown reasons, so
  turn off python2 modules until this is fixed.
- Use fdupes (added to BuildRequires) to link duplicate files.
* Thu Sep 14 2017 kkaempf@suse.com
- update to 0.6.2
  * builds for python3 (linux: 3.4, 3.5, 3.6; win: 3.5, 3.6)
    or python2 (2.7)
  * uses pyside instead of pyqt for soqt4 bindings
  * has many fixes (especially for FreeCAD)
- switch to github.com/FreeCAD/pivy, coin3d.org is dead
* Sat May  5 2012 asterios.dramis@gmail.com
- Initial release (version 0.5.0hg.609).
